#
# spec file for package compartm
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           compartm
Version:        1.1
Release:        458.5
Summary:        A Wrapper to Securely Run Insecure or Untrusted Programs
License:        GPL-2.0+
Group:          Productivity/Security
Source:         compartment-%version.tar.gz
Patch0:         compartment-%version.diff
Patch1:         compartment-%version-prctl.patch
Patch2:         compartment-%version-nochown.patch
Patch3:         compartment-%version-format.dif
Patch4:         compartment-%version-newcaps.dif
Patch5:         compartment-%version-envp.dif
Patch6:         compartment-%version-va_copy.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Compartment provides all possibilities (chroot, kernel capabilities)
for securely running insecure or untrusted programs. It provides all
necessary options to fine-tune the security tightening process as
needed.



Authors:
--------
    Marc Heuse <marc@suse.de>

%define kversion %(uname -r)

%prep
%setup -n compartment-%version
%patch -P 0 -p1
%patch -P 1 -p1 -b .prctl
%patch -P 2
%patch -P 3
%patch -P 4
%patch -P 5
%patch -P 6

%build
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc README LICENCE CHANGES TODO
%_mandir/man1/compartment.1*
/usr/sbin/compartment

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Oct  8 2014 jengelh@inai.de
- Remove unused specfile tags and sections
* Wed Sep  3 2008 draht@suse.de
- arg from va_start(arg, format) can only be used once. Use
  va_copy().
* Wed Sep  3 2008 draht@suse.de
- remove the precompiled binary from the tarball.
- extern char **environ should be NULL terminated, "" is not NULL.
  Cause for weird crashes in malloc(), getpwuid() and others.
* Tue Apr 29 2008 mt@suse.de
- Updated cap no/name array to reflect current capabilities
- Fixed to use correct printf format for a size_t type
- Recreated compartment-1.1.diff patch file
- Removed obsolete ia64.diff
* Sun Feb 11 2007 ro@suse.de
- fix build as non-root
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Apr  9 2005 coolo@suse.de
- fix C
* Wed Jul 23 2003 coolo@suse.de
- use BuildRoot
* Fri Jan 10 2003 aj@suse.de
- Fix multi-line strings.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Aug  7 2002 okir@suse.de
- updated to compartment 1.1
- added patch to use prctl(PR_KEEPCAPS) when using capabilities
  _and_ changing to a non-root user.
* Wed Oct 10 2001 stepan@suse.de
- fixed to compile for ia64
* Thu Apr  5 2001 uli@suse.de
- removed lx_suse from neededforbuild
* Fri Nov 17 2000 ro@suse.de
- fixed to compile
* Fri Jun 30 2000 mt@suse.de
- new version
